{% comment %}

Level2 navigation links (vertical menu)

Context:
    nav_links:
        Example:
        {  # category
            "text": '',
            "links": [
                {  # link
                   'name': 'page_name',
                   'text': _("Link text"),
                   'icon': ICONS['myicon'],
                   'url': reverse('url_name', args=[arg1, arg2])
                },
            }
        }
    page_triggers: List of nav items to make active

{% endcomment %}

{% if nav_links %}

    <div class="list-group">
        {% for category in nav_links %}
            {% comment %}
            {% if category.text %}
                <div class="list-group-header">
                    {{ category.text }}
                </div>
            {% endif %}
            {% endcomment %}

            {% for link in category.links %}
                <a href="{{ link.url }}" {% if link.id %} id="{{ link.id }}" {% endif %}
                   class="list-group-item {% if link.name in page_triggers %}active{% endif %} {{ link.html_class }}">
                    <span class="link-icon typcn {{ ICONS.link_icon }} pull-right"></span>
                    {% if link.icon %}
                        <span class="{{ link.icon }}"></span>
                    {% endif %}
                    {{ link.text }}
                </a>
            {% endfor %}
        {% endfor %}
    </div>

{% endif %}
